=== debian/changelog ===
ros-indigo-qglv-opencv (0.1.7-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 16 Jun 2016 03:20:55 -0000

ros-indigo-qglv-opencv (0.1.1-0trusty) trusty; urgency=high

  * ported from dslam_viewer 0.3.1

 -- Daniel Stonier <stonier@yujinrobot.com>  Sun, 18 Oct 2015 15:00:00 -0000
