=== debian/control ===
Source: ros-indigo-qglv-opencv
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, libqt4-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-ecl-build, ros-indigo-ecl-command-line
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-qglv-opencv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, libqt4-dbus, libqt4-network, libqt4-script, libqt4-test, libqt4-xml, libqtcore4, ros-indigo-ecl-build, ros-indigo-ecl-command-line
Description: Qt, QGLViewer and Opencv.
